'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6d45f1b0.js');

const ionStatusCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * The first name
     */
    this.statusColor = "#2ecc71";
    this.statusSize = "100";
  }
  hexToRgbA(hex) {
    var c;
    if (/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)) {
      c = hex.substring(1).split('');
      if (c.length == 3) {
        c = [c[0], c[0], c[1], c[1], c[2], c[2]];
      }
      c = '0x' + c.join('');
      return 'rgba(' + [(c >> 16) & 255, (c >> 8) & 255, c & 255].join(',') + ',0.25)';
    }
    throw new Error('Bad Hex');
  }
  render() {
    return index.h("div", { style: {
        width: `${this.statusSize}px`,
        height: `${this.statusSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `${this.hexToRgbA(this.statusColor)}`,
        borderRadius: `50%`,
      } }, index.h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `${this.statusColor}`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }));
  }
};
MyComponent.style = ionStatusCss;

exports.ion_status = MyComponent;
