import { Component, Prop, h } from '@stencil/core';
import { format } from '../../utils/utils';
export class MyComponent {
  constructor() {
    /**
     * The first name
     */
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
  }
  getProgress() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { class: "cont", style: {
        height: `${this.progressSize}px`,
        width: `100%`,
      } },
      h("div", { class: "loader", style: {
          height: `${this.progressSize}px`,
          width: `${this.getProgress()}%`,
        } }));
  }
  static get is() { return "bar-progress"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["bar-progress.css"]
  }; }
  static get styleUrls() { return {
    "$": ["bar-progress.css"]
  }; }
  static get properties() { return {
    "progress": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "progress",
      "reflect": false,
      "defaultValue": "\"0\""
    },
    "progressSize": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress-size",
      "reflect": false,
      "defaultValue": "\"150\""
    },
    "progressColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress-color",
      "reflect": false,
      "defaultValue": "\"#2ecc71\""
    }
  }; }
}
