import { Component, Prop, h } from '@stencil/core';
import { format } from '../../utils/utils';
export class MyComponent {
  constructor() {
    /**
     * The first name
     */
    //@Prop() first: string;
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
    this.backgroundColor = "#000000";
  }
  getProgress() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `${this.progressSize}px`,
        height: `${this.progressSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getProgress()}%, 0, #ecf0f1 ${(100 - parseInt(this.getProgress())).toString()}%)`,
        borderRadius: `50%`
      } },
      h("div", { style: {
          display: `flex`,
          alignItems: `center`,
          justifyContent: `center`,
          backgroundColor: `${this.backgroundColor}`,
          height: `60%`,
          width: `60%`,
          borderRadius: `50%`,
          boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
        } }));
  }
  static get is() { return "circle-progress"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get styleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get properties() { return {
    "progress": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "progress",
      "reflect": false,
      "defaultValue": "\"0\""
    },
    "progressSize": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress-size",
      "reflect": false,
      "defaultValue": "\"150\""
    },
    "progressColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "progress-color",
      "reflect": false,
      "defaultValue": "\"#2ecc71\""
    },
    "backgroundColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "background-color",
      "reflect": false,
      "defaultValue": "\"#000000\""
    }
  }; }
}
