import { Component, Prop, h } from '@stencil/core';
export class MyComponent {
  constructor() {
    /**
     * The first name
     */
    this.statusColor = "#2ecc71";
    this.statusSize = "100";
  }
  hexToRgbA(hex) {
    var c;
    if (/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)) {
      c = hex.substring(1).split('');
      if (c.length == 3) {
        c = [c[0], c[0], c[1], c[1], c[2], c[2]];
      }
      c = '0x' + c.join('');
      return 'rgba(' + [(c >> 16) & 255, (c >> 8) & 255, c & 255].join(',') + ',0.25)';
    }
    throw new Error('Bad Hex');
  }
  render() {
    return h("div", { style: {
        width: `${this.statusSize}px`,
        height: `${this.statusSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `${this.hexToRgbA(this.statusColor)}`,
        borderRadius: `50%`,
      } },
      h("div", { style: {
          display: `flex`,
          alignItems: `center`,
          justifyContent: `center`,
          background: `${this.statusColor}`,
          height: `60%`,
          width: `60%`,
          borderRadius: `50%`,
          boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
        } }));
  }
  static get is() { return "ion-status"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["ion-status.css"]
  }; }
  static get styleUrls() { return {
    "$": ["ion-status.css"]
  }; }
  static get properties() { return {
    "statusColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "status-color",
      "reflect": false,
      "defaultValue": "\"#2ecc71\""
    },
    "statusSize": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "status-size",
      "reflect": false,
      "defaultValue": "\"100\""
    }
  }; }
}
