import { r as registerInstance, h } from './index-0d12c4e4.js';
import { f as format } from './utils-b93c85bf.js';

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The first name
     */
    //@Prop() first: string;
    this.progress = "0";
    this.progressSize = "150";
    this.progressColor = "#2ecc71";
    this.backgroundColor = "#000000";
  }
  getProgress() {
    return format(this.progress, '', '');
  }
  render() {
    return h("div", { style: {
        width: `${this.progressSize}px`,
        height: `${this.progressSize}px`,
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        background: `conic-gradient(${this.progressColor} ${this.getProgress()}%, 0, #ecf0f1 ${(100 - parseInt(this.getProgress())).toString()}%)`,
        borderRadius: `50%`
      } }, h("div", { style: {
        display: `flex`,
        alignItems: `center`,
        justifyContent: `center`,
        backgroundColor: `${this.backgroundColor}`,
        height: `60%`,
        width: `60%`,
        borderRadius: `50%`,
        boxShadow: `0px 0px 7px 0px rgba(0, 0, 0, 0.1)`
      } }));
  }
};
MyComponent.style = circleProgressCss;

export { MyComponent as circle_progress };
